import 'dart:io';
import 'package:cli_menu/cli_menu.dart';
import 'package:get_cli/common/utils/logger/LogUtils.dart';
import 'package:get_cli/models/file_model.dart';
import 'package:get_cli/samples/impl/get_main.dart';
import 'package:get_cli/core/structure.dart';
import 'package:recase/recase.dart';

import '../../common/utils/logger/LogUtils.dart';
import '../../core/structure.dart';

Future<void> createMain({bool isArc = false}) async {
  FileModel _fileModel = Structure.model('', 'init', false);

  ReCase reCase = ReCase(_fileModel.name);

  File _main = await File(_fileModel.path + "main.dart");

  if (_main.existsSync()) {
    LogService.info(
        'The file main.dart already exists, do you want to overwrite it?');
    final menu = Menu(["Yes", "No"]);
    final result = menu.choose();
    if (result.index == 0) {
      await _main.create(recursive: true);
      await _main
          .writeAsString(MainSample().file(reCase.pascalCase, isArc: isArc));
      LogService.success("Main created succesfully.");
    }
  } else {
    await _main.create(recursive: true);
    await _main
        .writeAsString(MainSample().file(reCase.pascalCase, isArc: isArc));
    LogService.success("Main created succesfully.");
  }
}
